Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyLangParser

- org.apache.groovy.parser.antlr4.GroovyLangParser

-     public class GroovyLangParser
      extends org.apache.groovy.parser.antlr4.GroovyParser

  The parser for Groovy programming language, which is based on the parser generated by Antlr4

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.apache.groovy.parser.antlr4.GroovyParser` | `StringLiteral, GStringBegin, GStringEnd, GStringPart, GStringPathPart, RollBackOne, AS, DEF, IN, TRAIT, THREADSAFE, VAR, BuiltInPrimitiveType, ABSTRACT, ASSERT, BREAK, YIELD, CASE, CATCH, CLASS, CONST, CONTINUE, DEFAULT, DO, ELSE, ENUM, EXTENDS, FINAL, FINALLY, FOR, IF, GOTO, IMPLEMENTS, IMPORT, INSTANCEOF, INTERFACE, NATIVE, NEW, NON_SEALED, PACKAGE, PERMITS, PRIVATE, PROTECTED, PUBLIC, RECORD, RETURN, SEALED, STATIC, STRICTFP, SUPER, SWITCH, SYNCHRONIZED, THIS, THROW, THROWS, TRANSIENT, TRY, VOID, VOLATILE, WHILE, IntegerLiteral, FloatingPointLiteral, BooleanLiteral, NullLiteral, RANGE_INCLUSIVE, RANGE_EXCLUSIVE_LEFT, RANGE_EXCLUSIVE_RIGHT, RANGE_EXCLUSIVE_FULL, SPREAD_DOT, SAFE_DOT, SAFE_INDEX, SAFE_CHAIN_DOT, ELVIS, METHOD_POINTER, METHOD_REFERENCE, REGEX_FIND, REGEX_MATCH, POWER, POWER_ASSIGN, SPACESHIP, IDENTICAL, NOT_IDENTICAL, ARROW, NOT_INSTANCEOF, NOT_IN, LPAREN, RPAREN, LBRACE, RBRACE, LBRACK, RBRACK, SEMI, COMMA, DOT, ASSIGN, GT, LT, NOT, BITNOT, QUESTION, COLON, EQUAL, LE, GE, NOTEQUAL, AND, OR, INC, DEC, ADD, SUB, MUL, DIV, BITAND, BITOR, XOR, MOD, ADD_ASSIGN, SUB_ASSIGN, MUL_ASSIGN, DIV_ASSIGN, AND_ASSIGN, OR_ASSIGN, XOR_ASSIGN, MOD_ASSIGN, LSHIFT_ASSIGN, RSHIFT_ASSIGN, URSHIFT_ASSIGN, ELVIS_ASSIGN, CapitalizedIdentifier, Identifier, AT, ELLIPSIS, WS, NL, SH_COMMENT, UNEXPECTED_CHAR, RULE_compilationUnit, RULE_scriptStatements, RULE_scriptStatement, RULE_packageDeclaration, RULE_importDeclaration, RULE_typeDeclaration, RULE_modifier, RULE_modifiersOpt, RULE_modifiers, RULE_classOrInterfaceModifiersOpt, RULE_classOrInterfaceModifiers, RULE_classOrInterfaceModifier, RULE_variableModifier, RULE_variableModifiersOpt, RULE_variableModifiers, RULE_typeParameters, RULE_typeParameter, RULE_typeBound, RULE_typeList, RULE_classDeclaration, RULE_classBody, RULE_enumConstants, RULE_enumConstant, RULE_classBodyDeclaration, RULE_memberDeclaration, RULE_methodDeclaration, RULE_compactConstructorDeclaration, RULE_methodName, RULE_returnType, RULE_fieldDeclaration, RULE_variableDeclarators, RULE_variableDeclarator, RULE_variableDeclaratorId, RULE_variableInitializer, RULE_variableInitializers, RULE_emptyDims, RULE_emptyDimsOpt, RULE_standardType, RULE_type, RULE_classOrInterfaceType, RULE_generalClassOrInterfaceType, RULE_standardClassOrInterfaceType, RULE_primitiveType, RULE_typeArguments, RULE_typeArgument, RULE_annotatedQualifiedClassName, RULE_qualifiedClassNameList, RULE_formalParameters, RULE_formalParameterList, RULE_thisFormalParameter, RULE_formalParameter, RULE_methodBody, RULE_qualifiedName, RULE_qualifiedNameElement, RULE_qualifiedNameElements, RULE_qualifiedClassName, RULE_qualifiedStandardClassName, RULE_literal, RULE_gstring, RULE_gstringValue, RULE_gstringPath, RULE_lambdaExpression, RULE_standardLambdaExpression, RULE_lambdaParameters, RULE_standardLambdaParameters, RULE_lambdaBody, RULE_closure, RULE_closureOrLambdaExpression, RULE_blockStatementsOpt, RULE_blockStatements, RULE_annotationsOpt, RULE_annotation, RULE_elementValues, RULE_annotationName, RULE_elementValuePairs, RULE_elementValuePair, RULE_elementValuePairName, RULE_elementValue, RULE_elementValueArrayInitializer, RULE_block, RULE_blockStatement, RULE_localVariableDeclaration, RULE_variableDeclaration, RULE_typeNamePairs, RULE_typeNamePair, RULE_variableNames, RULE_conditionalStatement, RULE_ifElseStatement, RULE_switchStatement, RULE_loopStatement, RULE_continueStatement, RULE_breakStatement, RULE_yieldStatement, RULE_tryCatchStatement, RULE_assertStatement, RULE_statement, RULE_catchClause, RULE_catchType, RULE_finallyBlock, RULE_resources, RULE_resourceList, RULE_resource, RULE_switchBlockStatementGroup, RULE_switchLabel, RULE_forControl, RULE_enhancedForControl, RULE_classicalForControl, RULE_forInit, RULE_forUpdate, RULE_castParExpression, RULE_parExpression, RULE_expressionInPar, RULE_expressionList, RULE_expressionListElement, RULE_enhancedStatementExpression, RULE_statementExpression, RULE_postfixExpression, RULE_switchExpression, RULE_switchBlockStatementExpressionGroup, RULE_switchExpressionLabel, RULE_expression, RULE_castOperandExpression, RULE_commandExpression, RULE_commandArgument, RULE_pathExpression, RULE_pathElement, RULE_namePart, RULE_dynamicMemberName, RULE_indexPropertyArgs, RULE_namedPropertyArgs, RULE_primary, RULE_namedPropertyArgPrimary, RULE_namedArgPrimary, RULE_commandPrimary, RULE_list, RULE_map, RULE_mapEntryList, RULE_namedPropertyArgList, RULE_mapEntry, RULE_namedPropertyArg, RULE_namedArg, RULE_mapEntryLabel, RULE_namedPropertyArgLabel, RULE_namedArgLabel, RULE_creator, RULE_dim, RULE_arrayInitializer, RULE_anonymousInnerClassDeclaration, RULE_createdName, RULE_nonWildcardTypeArguments, RULE_typeArgumentsOrDiamond, RULE_arguments, RULE_argumentList, RULE_enhancedArgumentListInPar, RULE_firstArgumentListElement, RULE_argumentListElement, RULE_enhancedArgumentListElement, RULE_stringLiteral, RULE_className, RULE_identifier, RULE_builtInType, RULE_keywords, RULE_rparen, RULE_nls, RULE_sep, ruleNames, VOCABULARY, tokenNames, _serializedATN, _ATN, NO_OFFSET, EOF`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyLangParser(TokenStream input)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected FailedPredicateException` | `createFailedPredicateException(String predicate, String message)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.apache.groovy.parser.antlr4.GroovyParser` | `org.apache.groovy.parser.antlr4.GroovyParser#modifiers(), org.apache.groovy.parser.antlr4.GroovyParser#returnType(int), org.apache.groovy.parser.antlr4.GroovyParser#type(), org.apache.groovy.parser.antlr4.GroovyParser#methodName(), org.apache.groovy.parser.antlr4.GroovyParser#className(), org.apache.groovy.parser.antlr4.GroovyParser#map(), org.apache.groovy.parser.antlr4.GroovyParser#list(), org.apache.groovy.parser.antlr4.GroovyParser#enumConstants(), org.apache.groovy.parser.antlr4.GroovyParser#annotation(), org.apache.groovy.parser.antlr4.GroovyParser#resources(), org.apache.groovy.parser.antlr4.GroovyParser#arguments(), org.apache.groovy.parser.antlr4.GroovyParser#primitiveType(), org.apache.groovy.parser.antlr4.GroovyParser#block(), org.apache.groovy.parser.antlr4.GroovyParser#sep(), org.apache.groovy.parser.antlr4.GroovyParser#literal(), org.apache.groovy.parser.antlr4.GroovyParser#catchType(), org.apache.groovy.parser.antlr4.GroovyParser#dim(), org.apache.groovy.parser.antlr4.GroovyParser#closure(), org.apache.groovy.parser.antlr4.GroovyParser#typeList(), org.apache.groovy.parser.antlr4.GroovyParser#resource(), org.apache.groovy.parser.antlr4.GroovyParser#rparen(), org.apache.groovy.parser.antlr4.GroovyParser#castOperandExpression(), org.apache.groovy.parser.antlr4.GroovyParser#standardClassOrInterfaceType(), org.apache.groovy.parser.antlr4.GroovyParser#firstArgumentListElement(), org.apache.groovy.parser.antlr4.GroovyParser#argumentListElement(), org.apache.groovy.parser.antlr4.GroovyParser#conditionalStatement(), org.apache.groovy.parser.antlr4.GroovyParser#generalClassOrInterfaceType(), org.apache.groovy.parser.antlr4.GroovyParser#namedPropertyArgPrimary(), org.apache.groovy.parser.antlr4.GroovyParser#namedPropertyArgList(), org.apache.groovy.parser.antlr4.GroovyParser#namedPropertyArgLabel(), org.apache.groovy.parser.antlr4.GroovyParser#typeParameters(), org.apache.groovy.parser.antlr4.GroovyParser#enumConstant(), org.apache.groovy.parser.antlr4.GroovyParser#qualifiedNameElement(), org.apache.groovy.parser.antlr4.GroovyParser#switchExpressionLabel(), org.apache.groovy.parser.antlr4.GroovyParser#classOrInterfaceModifiersOpt(), org.apache.groovy.parser.antlr4.GroovyParser#classicalForControl(), org.apache.groovy.parser.antlr4.GroovyParser#localVariableDeclaration(), org.apache.groovy.parser.antlr4.GroovyParser#classBodyDeclaration(int), org.apache.groovy.parser.antlr4.GroovyParser#qualifiedClassNameList(), org.apache.groovy.parser.antlr4.GroovyParser#anonymousInnerClassDeclaration(int), org.apache.groovy.parser.antlr4.GroovyParser#enhancedStatementExpression(), org.apache.groovy.parser.antlr4.GroovyParser#variableDeclaration(int), org.apache.groovy.parser.antlr4.GroovyParser#compactConstructorDeclaration(), org.apache.groovy.parser.antlr4.GroovyParser#variableInitializers(), org.apache.groovy.parser.antlr4.GroovyParser#enhancedArgumentListInPar(), org.apache.groovy.parser.antlr4.GroovyParser#typeArgumentsOrDiamond(), org.apache.groovy.parser.antlr4.GroovyParser#enhancedArgumentListElement(), org.apache.groovy.parser.antlr4.GroovyParser#statementExpression(), org.apache.groovy.parser.antlr4.GroovyParser#expressionListElement(boolean), org.apache.groovy.parser.antlr4.GroovyParser#closureOrLambdaExpression(), org.apache.groovy.parser.antlr4.GroovyParser#nonWildcardTypeArguments(), org.apache.groovy.parser.antlr4.GroovyParser#standardLambdaExpression(), org.apache.groovy.parser.antlr4.GroovyParser#standardLambdaParameters(), org.apache.groovy.parser.antlr4.GroovyParser#elementValuePairName(), org.apache.groovy.parser.antlr4.GroovyParser#formalParameterList(), org.apache.groovy.parser.antlr4.GroovyParser#thisFormalParameter(), org.apache.groovy.parser.antlr4.GroovyParser#classOrInterfaceModifiers(), org.apache.groovy.parser.antlr4.GroovyParser#classOrInterfaceType(), org.apache.groovy.parser.antlr4.GroovyParser#classOrInterfaceModifier(), org.apache.groovy.parser.antlr4.GroovyParser#annotatedQualifiedClassName(), org.apache.groovy.parser.antlr4.GroovyParser#variableModifiersOpt(), org.apache.groovy.parser.antlr4.GroovyParser#elementValueArrayInitializer(), org.apache.groovy.parser.antlr4.GroovyParser#qualifiedStandardClassName(), org.apache.groovy.parser.antlr4.GroovyParser#identifier(), org.apache.groovy.parser.antlr4.GroovyParser#expression(), org.apache.groovy.parser.antlr4.GroovyParser#primary(), org.apache.groovy.parser.antlr4.GroovyParser#creator(int), org.apache.groovy.parser.antlr4.GroovyParser#expressionList(boolean), org.apache.groovy.parser.antlr4.GroovyParser#argumentList(), org.apache.groovy.parser.antlr4.GroovyParser#variableDeclarators(), org.apache.groovy.parser.antlr4.GroovyParser#switchBlockStatementGroup(), org.apache.groovy.parser.antlr4.GroovyParser#variableInitializer(), org.apache.groovy.parser.antlr4.GroovyParser#variableDeclaratorId(), org.apache.groovy.parser.antlr4.GroovyParser#typeArguments(), org.apache.groovy.parser.antlr4.GroovyParser#typeArgument(), org.apache.groovy.parser.antlr4.GroovyParser#pathElement(), org.apache.groovy.parser.antlr4.GroovyParser#switchBlockStatementExpressionGroup(), org.apache.groovy.parser.antlr4.GroovyParser#standardType(), org.apache.groovy.parser.antlr4.GroovyParser#namedArg(), org.apache.groovy.parser.antlr4.GroovyParser#continueStatement(), org.apache.groovy.parser.antlr4.GroovyParser#namedPropertyArg(), org.apache.groovy.parser.antlr4.GroovyParser#namedArgLabel(), org.apache.groovy.parser.antlr4.GroovyParser#namedArgPrimary(), org.apache.groovy.parser.antlr4.GroovyParser#builtInType(), org.apache.groovy.parser.antlr4.GroovyParser#assertStatement(), org.apache.groovy.parser.antlr4.GroovyParser#breakStatement(), org.apache.groovy.parser.antlr4.GroovyParser#commandPrimary(), org.apache.groovy.parser.antlr4.GroovyParser#getSerializedATN(), org.apache.groovy.parser.antlr4.GroovyParser#compilationUnit(), org.apache.groovy.parser.antlr4.GroovyParser#stringLiteral(), org.apache.groovy.parser.antlr4.GroovyParser#parExpression(), org.apache.groovy.parser.antlr4.GroovyParser#lambdaExpression(), org.apache.groovy.parser.antlr4.GroovyParser#arrayInitializer(), org.apache.groovy.parser.antlr4.GroovyParser#formalParameters(), org.apache.groovy.parser.antlr4.GroovyParser#forInit(), org.apache.groovy.parser.antlr4.GroovyParser#modifiersOpt(), org.apache.groovy.parser.antlr4.GroovyParser#catchClause(), org.apache.groovy.parser.antlr4.GroovyParser#blockStatement(), org.apache.groovy.parser.antlr4.GroovyParser#forUpdate(), org.apache.groovy.parser.antlr4.GroovyParser#typeDeclaration(), org.apache.groovy.parser.antlr4.GroovyParser#annotationsOpt(), org.apache.groovy.parser.antlr4.GroovyParser#classDeclaration(), org.apache.groovy.parser.antlr4.GroovyParser#variableDeclarator(), org.apache.groovy.parser.antlr4.GroovyParser#importDeclaration(), org.apache.groovy.parser.antlr4.GroovyParser#formalParameter(), org.apache.groovy.parser.antlr4.GroovyParser#lambdaParameters(), org.apache.groovy.parser.antlr4.GroovyParser#getGrammarFileName(), org.apache.groovy.parser.antlr4.GroovyParser#blockStatements(), org.apache.groovy.parser.antlr4.GroovyParser#statement(), org.apache.groovy.parser.antlr4.GroovyParser#getErrorColumn(), org.apache.groovy.parser.antlr4.GroovyParser#getErrorLine(), org.apache.groovy.parser.antlr4.GroovyParser#getTokenNames(), org.apache.groovy.parser.antlr4.GroovyParser#getVocabulary(), org.apache.groovy.parser.antlr4.GroovyParser#typeParameter(), org.apache.groovy.parser.antlr4.GroovyParser#qualifiedName(), org.apache.groovy.parser.antlr4.GroovyParser#annotationName(), org.apache.groovy.parser.antlr4.GroovyParser#modifier(), org.apache.groovy.parser.antlr4.GroovyParser#qualifiedNameElements(), org.apache.groovy.parser.antlr4.GroovyParser#scriptStatements(), org.apache.groovy.parser.antlr4.GroovyParser#scriptStatement(), org.apache.groovy.parser.antlr4.GroovyParser#packageDeclaration(), org.apache.groovy.parser.antlr4.GroovyParser#expressionInPar(), org.apache.groovy.parser.antlr4.GroovyParser#enhancedForControl(), org.apache.groovy.parser.antlr4.GroovyParser#ifElseStatement(), org.apache.groovy.parser.antlr4.GroovyParser#switchStatement(), org.apache.groovy.parser.antlr4.GroovyParser#loopStatement(), org.apache.groovy.parser.antlr4.GroovyParser#forControl(), org.apache.groovy.parser.antlr4.GroovyParser#qualifiedClassName(), org.apache.groovy.parser.antlr4.GroovyParser#finallyBlock(), org.apache.groovy.parser.antlr4.GroovyParser#resourceList(), org.apache.groovy.parser.antlr4.GroovyParser#yieldStatement(), org.apache.groovy.parser.antlr4.GroovyParser#switchExpression(), org.apache.groovy.parser.antlr4.GroovyParser#switchLabel(), org.apache.groovy.parser.antlr4.GroovyParser#classBody(int), org.apache.groovy.parser.antlr4.GroovyParser#keywords(), org.apache.groovy.parser.antlr4.GroovyParser#getRuleNames(), org.apache.groovy.parser.antlr4.GroovyParser#nls(), org.apache.groovy.parser.antlr4.GroovyParser#variableNames(), org.apache.groovy.parser.antlr4.GroovyParser#lambdaBody(), org.apache.groovy.parser.antlr4.GroovyParser#sempred(org.antlr.v4.runtime.RuleContext, int, int), org.apache.groovy.parser.antlr4.GroovyParser#getSyntaxErrorSource(), org.apache.groovy.parser.antlr4.GroovyParser#methodDeclaration(int, int), org.apache.groovy.parser.antlr4.GroovyParser#methodBody(), org.apache.groovy.parser.antlr4.GroovyParser#memberDeclaration(int), org.apache.groovy.parser.antlr4.GroovyParser#typeBound(), org.apache.groovy.parser.antlr4.GroovyParser#fieldDeclaration(), org.apache.groovy.parser.antlr4.GroovyParser#elementValue(), org.apache.groovy.parser.antlr4.GroovyParser#typeNamePairs(), org.apache.groovy.parser.antlr4.GroovyParser#typeNamePair(), org.apache.groovy.parser.antlr4.GroovyParser#commandExpression(), org.apache.groovy.parser.antlr4.GroovyParser#blockStatementsOpt(), org.apache.groovy.parser.antlr4.GroovyParser#commandArgument(), org.apache.groovy.parser.antlr4.GroovyParser#namedPropertyArgs(), org.apache.groovy.parser.antlr4.GroovyParser#indexPropertyArgs(), org.apache.groovy.parser.antlr4.GroovyParser#namePart(), org.apache.groovy.parser.antlr4.GroovyParser#mapEntryList(), org.apache.groovy.parser.antlr4.GroovyParser#mapEntry(), org.apache.groovy.parser.antlr4.GroovyParser#dynamicMemberName(), org.apache.groovy.parser.antlr4.GroovyParser#gstring(), org.apache.groovy.parser.antlr4.GroovyParser#castParExpression(), org.apache.groovy.parser.antlr4.GroovyParser#pathExpression(), org.apache.groovy.parser.antlr4.GroovyParser#createdName(), org.apache.groovy.parser.antlr4.GroovyParser#mapEntryLabel(), org.apache.groovy.parser.antlr4.GroovyParser#gstringValue(), org.apache.groovy.parser.antlr4.GroovyParser#gstringPath(), org.apache.groovy.parser.antlr4.GroovyParser#variableModifiers(), org.apache.groovy.parser.antlr4.GroovyParser#variableModifier(), org.apache.groovy.parser.antlr4.GroovyParser#emptyDimsOpt(), org.apache.groovy.parser.antlr4.GroovyParser#elementValues(), org.apache.groovy.parser.antlr4.GroovyParser#emptyDims(), org.apache.groovy.parser.antlr4.GroovyParser#elementValuePairs(), org.apache.groovy.parser.antlr4.GroovyParser#elementValuePair(), org.apache.groovy.parser.antlr4.GroovyParser#tryCatchStatement(), org.apache.groovy.parser.antlr4.GroovyParser#postfixExpression(), org.apache.groovy.parser.antlr4.GroovyParser#match(int), org.apache.groovy.parser.antlr4.GroovyParser#getContext(), org.apache.groovy.parser.antlr4.GroovyParser#reset(), org.apache.groovy.parser.antlr4.GroovyParser#getInputStream(), org.apache.groovy.parser.antlr4.GroovyParser#getInputStream(), org.apache.groovy.parser.antlr4.GroovyParser#consume(), org.apache.groovy.parser.antlr4.GroovyParser#pushNewRecursionContext(org.antlr.v4.runtime.ParserRuleContext, int, int), org.apache.groovy.parser.antlr4.GroovyParser#unrollRecursionContexts(org.antlr.v4.runtime.ParserRuleContext), org.apache.groovy.parser.antlr4.GroovyParser#getExpectedTokensWithinCurrentRule(), org.apache.groovy.parser.antlr4.GroovyParser#getNumberOfSyntaxErrors(), org.apache.groovy.parser.antlr4.GroovyParser#notifyErrorListeners(java.lang.String), org.apache.groovy.parser.antlr4.GroovyParser#notifyErrorListeners(org.antlr.v4.runtime.Token, java.lang.String, org.antlr.v4.runtime.RecognitionException), org.apache.groovy.parser.antlr4.GroovyParser#removeParseListeners(), org.apache.groovy.parser.antlr4.GroovyParser#enterLeftFactoredRule(org.antlr.v4.runtime.ParserRuleContext, int, int), org.apache.groovy.parser.antlr4.GroovyParser#removeParseListener(org.antlr.v4.runtime.tree.ParseTreeListener), org.apache.groovy.parser.antlr4.GroovyParser#compileParseTreePattern(java.lang.String, int, org.antlr.v4.runtime.Lexer), org.apache.groovy.parser.antlr4.GroovyParser#compileParseTreePattern(java.lang.String, int), org.apache.groovy.parser.antlr4.GroovyParser#getATNWithBypassAlts(), org.apache.groovy.parser.antlr4.GroovyParser#setInputStream(org.antlr.v4.runtime.TokenStream), org.apache.groovy.parser.antlr4.GroovyParser#setErrorHandler(org.antlr.v4.runtime.ANTLRErrorStrategy), org.apache.groovy.parser.antlr4.GroovyParser#getErrorHandler(), org.apache.groovy.parser.antlr4.GroovyParser#setProfile(boolean), org.apache.groovy.parser.antlr4.GroovyParser#getPrecedence(), org.apache.groovy.parser.antlr4.GroovyParser#enterOuterAlt(org.antlr.v4.runtime.ParserRuleContext, int), org.apache.groovy.parser.antlr4.GroovyParser#enterRecursionRule(org.antlr.v4.runtime.ParserRuleContext, int, int, int), org.apache.groovy.parser.antlr4.GroovyParser#enterRecursionRule(org.antlr.v4.runtime.ParserRuleContext, int), org.apache.groovy.parser.antlr4.GroovyParser#setTrimParseTree(boolean), org.apache.groovy.parser.antlr4.GroovyParser#setBuildParseTree(boolean), org.apache.groovy.parser.antlr4.GroovyParser#addParseListener(org.antlr.v4.runtime.tree.ParseTreeListener), org.apache.groovy.parser.antlr4.GroovyParser#matchWildcard(), org.apache.groovy.parser.antlr4.GroovyParser#getBuildParseTree(), org.apache.groovy.parser.antlr4.GroovyParser#getTrimParseTree(), org.apache.groovy.parser.antlr4.GroovyParser#getParseListeners(), org.apache.groovy.parser.antlr4.GroovyParser#inContext(java.lang.String), org.apache.groovy.parser.antlr4.GroovyParser#createTerminalNode(org.antlr.v4.runtime.ParserRuleContext, org.antlr.v4.runtime.Token), org.apache.groovy.parser.antlr4.GroovyParser#getInvokingContext(int), org.apache.groovy.parser.antlr4.GroovyParser#isMatchedEOF(), org.apache.groovy.parser.antlr4.GroovyParser#getDFAStrings(), org.apache.groovy.parser.antlr4.GroovyParser#dumpDFA(), org.apache.groovy.parser.antlr4.GroovyParser#createErrorNode(org.antlr.v4.runtime.ParserRuleContext, org.antlr.v4.runtime.Token), org.apache.groovy.parser.antlr4.GroovyParser#isExpectedToken(int), org.apache.groovy.parser.antlr4.GroovyParser#setContext(org.antlr.v4.runtime.ParserRuleContext), org.apache.groovy.parser.antlr4.GroovyParser#getSourceName(), org.apache.groovy.parser.antlr4.GroovyParser#setTrace(boolean), org.apache.groovy.parser.antlr4.GroovyParser#isTrace(), org.apache.groovy.parser.antlr4.GroovyParser#getRuleInvocationStack(), org.apache.groovy.parser.antlr4.GroovyParser#getRuleInvocationStack(org.antlr.v4.runtime.RuleContext), org.apache.groovy.parser.antlr4.GroovyParser#getCurrentToken(), org.apache.groovy.parser.antlr4.GroovyParser#getTokenFactory(), org.apache.groovy.parser.antlr4.GroovyParser#getRuleContext(), org.apache.groovy.parser.antlr4.GroovyParser#exitRule(), org.apache.groovy.parser.antlr4.GroovyParser#enterRule(org.antlr.v4.runtime.ParserRuleContext, int, int), org.apache.groovy.parser.antlr4.GroovyParser#getRuleIndex(java.lang.String), org.apache.groovy.parser.antlr4.GroovyParser#getParseInfo(), org.apache.groovy.parser.antlr4.GroovyParser#precpred(org.antlr.v4.runtime.RuleContext, int), org.apache.groovy.parser.antlr4.GroovyParser#getExpectedTokens(), org.apache.groovy.parser.antlr4.GroovyParser#getErrorListenerDispatch(), org.apache.groovy.parser.antlr4.GroovyParser#getErrorListenerDispatch(), org.apache.groovy.parser.antlr4.GroovyParser#action(org.antlr.v4.runtime.RuleContext, int, int), org.apache.groovy.parser.antlr4.GroovyParser#getState(), org.apache.groovy.parser.antlr4.GroovyParser#setState(int), org.apache.groovy.parser.antlr4.GroovyParser#removeErrorListeners(), org.apache.groovy.parser.antlr4.GroovyParser#getInterpreter(), org.apache.groovy.parser.antlr4.GroovyParser#setInterpreter(org.antlr.v4.runtime.atn.ATNSimulator), org.apache.groovy.parser.antlr4.GroovyParser#getATN(), org.apache.groovy.parser.antlr4.GroovyParser#getTokenTypeMap(), org.apache.groovy.parser.antlr4.GroovyParser#getRuleIndexMap(), org.apache.groovy.parser.antlr4.GroovyParser#getErrorListeners(), org.apache.groovy.parser.antlr4.GroovyParser#getTokenType(java.lang.String), org.apache.groovy.parser.antlr4.GroovyParser#getErrorHeader(org.antlr.v4.runtime.RecognitionException), org.apache.groovy.parser.antlr4.GroovyParser#getTokenErrorDisplay(org.antlr.v4.runtime.Token), org.apache.groovy.parser.antlr4.GroovyParser#removeErrorListener(org.antlr.v4.runtime.ANTLRErrorListener), org.apache.groovy.parser.antlr4.GroovyParser#addErrorListener(org.antlr.v4.runtime.ANTLRErrorListener), org.apache.groovy.parser.antlr4.GroovyParser#wait(long, int), org.apache.groovy.parser.antlr4.GroovyParser#wait(), org.apache.groovy.parser.antlr4.GroovyParser#wait(long), org.apache.groovy.parser.antlr4.GroovyParser#equals(java.lang.Object), org.apache.groovy.parser.antlr4.GroovyParser#toString(), org.apache.groovy.parser.antlr4.GroovyParser#hashCode(), org.apache.groovy.parser.antlr4.GroovyParser#getClass(), org.apache.groovy.parser.antlr4.GroovyParser#notify(), org.apache.groovy.parser.antlr4.GroovyParser#notifyAll(), org.apache.groovy.parser.antlr4.GroovyParser#require(boolean, java.lang.String, groovy.lang.Tuple2), org.apache.groovy.parser.antlr4.GroovyParser#require(boolean, java.lang.String), org.apache.groovy.parser.antlr4.GroovyParser#require(boolean, java.lang.String, int, boolean), org.apache.groovy.parser.antlr4.GroovyParser#require(boolean, java.lang.String, groovy.lang.Tuple2, boolean), org.apache.groovy.parser.antlr4.GroovyParser#require(boolean, java.lang.String, boolean), org.apache.groovy.parser.antlr4.GroovyParser#require(boolean, java.lang.String, int), org.apache.groovy.parser.antlr4.GroovyParser#throwSyntaxError(java.lang.String, groovy.lang.Tuple2, boolean), org.apache.groovy.parser.antlr4.GroovyParser#throwSyntaxError(java.lang.String, int, boolean), org.apache.groovy.parser.antlr4.GroovyParser#genPositionInfo(int), org.apache.groovy.parser.antlr4.GroovyParser#genPositionInfo(groovy.lang.Tuple2)`

- - ### Constructor Detail

    - #### public GroovyLangParser(TokenStream input)

  - ### Method Detail

    - #### @Override
      protected FailedPredicateException createFailedPredicateException(String predicate, String message)